> ## Documentation Index
> Fetch the complete documentation index at: https://docs.run-lunar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project



## OpenAPI

````yaml /api-reference/openapi.json post /v1/projects
openapi: 3.1.0
info:
  description: >-
    Account-isolated orchestration and metering. Only the non-executing mock
    provider is available; no GPU resources are provisioned.
  title: Lunar Neo Cloud Control Plane
  version: 0.1.0
servers: []
security: []
paths:
  /v1/projects:
    post:
      tags:
        - Projects
      summary: Create Project
      operationId: create_project_v1_projects_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectCreate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectRead'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: The request did not pass validation.
      security:
        - HTTPBearer: []
components:
  schemas:
    ProjectCreate:
      additionalProperties: false
      properties:
        name:
          maxLength: 80
          minLength: 1
          title: Name
          type: string
      required:
        - name
      title: ProjectCreate
      type: object
    ProjectRead:
      properties:
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
        - created_at
      title: ProjectRead
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      required:
        - error
        - request_id
      title: ErrorResponse
      type: object
    ErrorBody:
      properties:
        code:
          title: Code
          type: string
        details:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Details
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ErrorBody
      type: object
    ValidationErrorDetail:
      properties:
        field:
          title: Field
          type: string
        type:
          title: Type
          type: string
      required:
        - field
        - type
      title: ValidationErrorDetail
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.